API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/services/{uuid}/databases/{database_uuid}

Update mutable fields for a compose service database.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Service UUID.

database_uuid*string

Service database UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

human_name?string|null
description?string|null
image?string
exclude_from_status?boolean
is_log_drain_enabled?boolean
is_public?boolean
public_port?|
Range1 <= value <= 65535
public_port_timeout?|
Range1 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/services/string/databases/string" \  -H "Content-Type: application/json" \  -d '{}'
{}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}